summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Phillips <david@sighup.nz>2018-07-26 21:33:57 +1200
committerDavid Phillips <david@sighup.nz>2018-07-26 21:33:57 +1200
commit4048d6f5dbaca8ff078dc4941c55338bea485fc6 (patch)
tree14be8b1bd7212bbb2c711d4c6d594241fd8f5dff
downloadpkg-introspect-4048d6f5dbaca8ff078dc4941c55338bea485fc6.tar.xz
Add initial rough script
-rw-r--r--LICENCE18
-rwxr-xr-xintrospect.sh32
2 files changed, 50 insertions, 0 deletions
diff --git a/LICENCE b/LICENCE
new file mode 100644
index 0000000..7be4529
--- /dev/null
+++ b/LICENCE
@@ -0,0 +1,18 @@
+/************************************************************************
+ * pkg-introspect *
+ * (C) Copyright 2018 David Phillips *
+ * *
+ * pkg-introspect is free software; you can redistribute it and/or *
+ * modify it under the terms of the GNU General Public License as *
+ * published by the Free Software Foundation; either version 3 of the *
+ * License, or (at your option) any later version. *
+ * *
+ * pkg-introspect is distributed in the hope that it will be useful, *
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of *
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the *
+ * GNU General Public License for more details. *
+ * *
+ * You should have received a copy of the GNU General Public License *
+ * along with pkg-introspect. If not, see *
+ * <http://www.gnu.org/licenses/>. *
+ ************************************************************************/
diff --git a/introspect.sh b/introspect.sh
new file mode 100755
index 0000000..9ae80ed
--- /dev/null
+++ b/introspect.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+function get_pkginfo_field() {
+ local file="$1"
+ local field="$2"
+ # FIXME remove dep on GNU tar
+ tar --to-stdout -xf "$file" .PKGINFO | grep '^'"$field"'' | awk -F' = ' '{print $2}'
+}
+
+function die_usage() {
+ echo "FIXME"
+}
+
+if [ "$#" -le 2 ]; then
+ echo Not enough arguments
+ die_usage
+fi
+
+case "$1" in
+ "field")
+ # FIXME must have two more aguments
+ get_pkginfo_field $2 $3
+ ;;
+ "files")
+ echo Not implemented
+ exit 1
+ ;;
+ *)
+ echo "Unknown action \"$2\""
+ die_usage
+ ;;
+esac